#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <string.h>
#include "comunicar.h"

char COLUNAS_SUSPEITO[][20] = {"NOME", "CPF", "IDADE", "ENDERECO","DESCRICAO FISICA","INTERROGATORIO"};
char COLUNAS_VITIMA[][20]=  {"NOME", "CPF", "IDADE", "ENDERECO","LESAO CORPORAL","RECONHECIMENTO"};
char COLUNAS_INVESTIGADOR[][20] = {"NOME", "CPF", "IDADE", "ENDERECO","CRIMES RESPONSAVEIS"};
char COLUNAS_CRIME [][20] = {"REGISTRO","DATA","HORARIO","SUSPEITOS","VITIMAS","INVESTIGADORES"};
char COLUNAS_EVIDENCIA[][20] = {"REGISTRO", "MATERIAL ORGANICO", "SANGUE", "IMPRESSAO DIGITAL","CRIME"};


int opcaoTeclado(int x, int y)
{
    int retorno,loop=0;

       printf("Digite a opcao desejada :  ");
    do
    {
        scanf("%d",&retorno);

        if(retorno<x || retorno>y)
        {
            printf("\n\nOpcao Invalida, Digite Novamente:  ");
        }
        else
        {
            loop =1;
        }

    }while(loop == 0);

    return retorno;
}


int comunicar()
{
    system("cls");
    printf("-------------------Menu Principal--------------------\n");
    printf("1    BUSCAR\n");
    printf("2    ATUALIZAR\n");
    printf("3    INSERIR\n");
    printf("4    EXCLUIR\n");

    return opcaoTeclado(1,4);
}

int menuOperacao(char *operacao)
{

    system("cls");
    printf("-------------------Menu de Busca--------------------\n");
    printf("Do que voce quer %s?\n", operacao);
    printf("1    SUSPEITO\n");
    printf("2    CRIME\n");
    printf("3    INVESTIGADOR\n");
    printf("4    VITIMA\n");
    printf("5    EVIDENCIA\n");

    return opcaoTeclado(1,5);
}

char **stringTabela_(char **string1, char *string2)
{

     *string1 = (char*)malloc(strlen(string2)*sizeof(char));
     strcpy(*string1,string2);

  return string1;
}


char *menuCamposConsulta(int Tabela,char **stringTabela)
{
    int i;

    system("cls");
    printf("-------------------Menu de Selecao de Campos--------------------\n");
    printf("Quais colunas voce quer de ");


    switch(Tabela)
    {
        case suspeito:
            stringTabela=stringTabela_(stringTabela,"suspeito");

            printf("suspeito\n");
            for(i=0; i<6; i++)
                printf("%d   %s\n", i+1, COLUNAS_SUSPEITO[i]);

                return COLUNAS_SUSPEITO[opcaoTeclado(1,6)-1] ;

            break;

        case crime:
            stringTabela=stringTabela_(stringTabela,"crime");

            printf("crime\n");
             for(i=0; i<6; i++)
                printf("%d   %s\n", i+1, COLUNAS_CRIME[i]);

                 return COLUNAS_CRIME[opcaoTeclado(1,6)-1];

            break;

        case investigador:
            stringTabela=stringTabela_(stringTabela,"investigador");

            printf("investigador\n");
            for(i=0; i<5; i++)
                printf("%d   %s\n", i+1, COLUNAS_INVESTIGADOR[i]);

                return COLUNAS_INVESTIGADOR[opcaoTeclado(1,5)-1];

            break;

        case vitima:
            stringTabela=stringTabela_(stringTabela,"vitima");

            printf("vitima\n");
            for(i=0; i<6; i++)
                printf("%d   %s\n", i+1, COLUNAS_VITIMA[i]);

                return COLUNAS_VITIMA[opcaoTeclado(1,6)-1];

            break;

        case evidencia:
            stringTabela=stringTabela_(stringTabela,"evidencia");

            printf("evidencia\n");
            for(i=0; i<5; i++)
                printf("%d   %s\n", i+1, COLUNAS_EVIDENCIA[i]);

                return COLUNAS_EVIDENCIA[opcaoTeclado(1,5)-1];

            break;
    }

    return "end";
}

